package webui

import (
    "encoding/json"
	"fmt"
	"net/http"
    "gitea.armuli.eu/museum-digital/museum-digital-webdav-uploader/src/configloader"
)

type getSettingsApiResponse struct {
    SetupRequired bool `json:"setup_required"`
    Settings configloader.MDWebDavUploaderConfig `json:"settings"`
}

// Generates the API output for listing current settings.
func serveApiGetSettings(w http.ResponseWriter, r *http.Request) {

	setHeadersForJson(w)
    output := getSettingsApiResponse{SetupRequired: setupRequired, Settings: config}

    outputJson, encodeErr := json.Marshal(output)
    if encodeErr != nil {
        panic("Failed to create JSON")
    }

	fmt.Fprint(w, string(outputJson))
}
